# HUC Braille Tables – Changelog

## HUCv2: [Release date: 2019-12-01]
1.  NEW: Added `huc-readme.md`.
2.  NEW: Added `huc-changelog.md`.
3.  NEW: Added `huc-lgpl-2.1.md`.
4.  CHG: The HUC8 Braille Tables and the HUC6 Braille Tables are now bundled in a single 7z archive.
5.  CHG: Almost completely rewritten the header section in all tbl and tbi files.
6.  CHG: To reduce the loading/compiling time of all used braille table files on NVDA startup and after changing the braille output/input table in the NVDA settings, now only the first two Unicode planes are included in `huc8-utf32.tbl` and in `huc6-utf32.tbl` by default. Please delete the hash ("#") directly in front of the "include" of all Unicode planes whose code points should still be displayed in HUC8 respectively in HUC6 style.
7.  CHG: Added the noback opcode for all definitions to avoid braille input issues. Please delete "noback " in all 34 tbi files if you still want to use the HUC Braille Tables as braille input tables.
8.  FIX: Corrected the dots for `U+*60e0` to `U+*60ef` in all 17 `huc6-u+*.tbi` files. Thanks to André-Abush Clause (alias Andre9642).
9.  FIX: Corrected the dots for `U+*b240` to `U+*b24f` in all 17 `huc6-u+*.tbi` files. Thanks to André-Abush Clause (alias Andre9642).
10. FIX: Corrected the code points for `U+*e130` to `U+*e13f` in all 17 `huc6-u+*.tbi` files. Thanks to André-Abush Clause (alias Andre9642).
11. FIX: Corrected the dots for `U+*f040` to `U+*f04f` in all 17 `huc6-u+*.tbi` files. Thanks to André-Abush Clause (alias Andre9642).
12. DEL: Deleted all Liblouis references in all tbl and tbi files.

## HUCv1: [Release dates: 2019-03-01 and 2019-05-01]
1.  NEW: First release of the HUC8 Braille Tables on Friday, March 1, 2019, 16:00 (UTC+1).
2.  NEW: First release of the HUC6 Braille Tables on Wednesday, May 1, 2019, 01:00 (UTC+2).

-----------
End of file